SCIM

Provision Datadog users and teams using SCIM APIs.

Note: SCIM provisioning for Datadog teams is only available for select organizations at this point. Request access by contacting Datadog support, or see the SCIM page for more information.

GET https://api.ap1.datadoghq.com/api/v2/scim/Usershttps://api.ap2.datadoghq.com/api/v2/scim/Usershttps://api.datadoghq.eu/api/v2/scim/Usershttps://api.ddog-gov.com/api/v2/scim/Usershttps://api.us2.ddog-gov.com/api/v2/scim/Usershttps://api.datadoghq.com/api/v2/scim/Usershttps://api.us3.datadoghq.com/api/v2/scim/Usershttps://api.us5.datadoghq.com/api/v2/scim/Users

Overview

List users in the organization. Results are paginated by startIndex and count parameters. Results can be narrowed down by the filter parameter. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Arguments

    Query Strings

    Name

    Type

    Description

    startIndex

    integer

    Specifies the start index to fetch the results (1-indexed).

    count

    integer

    Specifies the number of users to be returned.

    filter

    string

    Specifies the url encoded filter to use to narrow down the results. Filter should be of the form userName eq <user name>.

    Response

    OK

    List users response object.

    Expand All

    Field

    Type

    Description

    Resources

    [object]

    List of users matching the request criteria.

    active

    boolean

    A Boolean value indicating the User's administrative status.

    emails

    [object]

    Email addresses for the user.

    primary

    boolean

    Boolean indicating if this email is the primary email address.

    type

    enum

    The type of email. Allowed enum values: work

    value

    string

    Email addresses for the user.

    id

    string

    The identifier of the resource. Not required when creating a user.

    meta

    object

    Metadata associated with a user.

    created

    date-time

    The date and time the user was created.

    lastModified

    date-time

    The date and time the user was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    name

    object

    The components of user's real name

    formatted

    string

    The full name, including all middle names, titles, and suffixes as appropriate, formatted for display.

    schemas

    [string]

    User JSON Schemas.

    title

    string

    The user's title.

    userName

    string

    Unique identifier for the User.

    itemsPerPage

    int64

    Number of users returned per page.

    schemas

    [string]

    List response JSON Schemas.

    startIndex

    int64

    Starting index of the users for this page (1-indexed).

    totalResults

    int64

    Total number of users matching the request criteria.

    {
      "Resources": [
        {
          "active": true,
          "emails": [
            {
              "primary": true,
              "type": "work",
              "value": "john.doe@datadoghq.com"
            }
          ],
          "id": "e43536e9-33fe-43f8-90b8-d3e39a7dd6ad",
          "meta": {
            "created": "2024-11-22T15:05:52.055138963Z",
            "lastModified": "2024-11-22T15:05:52.055139017Z",
            "location": "https://app.datadoghq.com/api/scim/v2/Users/e43536e9-33fe-43f8-90b8-d3e39a7dd6ad",
            "resourceType": "User"
          },
          "name": {
            "formatted": "John Doe"
          },
          "schemas": [
            "urn:ietf:params:scim:schemas:core:2.0:User"
          ],
          "title": "Mr.",
          "userName": "john.doe@datadoghq.com"
        },
        {
          "active": true,
          "emails": [
            {
              "primary": true,
              "type": "work",
              "value": "jane.doe@datadoghq.com"
            }
          ],
          "id": "79ef0d28-f257-4829-97e6-d23d2a26cb1a",
          "meta": {
            "created": "2024-11-22T15:05:52.055139748Z",
            "lastModified": "2024-11-22T15:05:52.055139813Z",
            "location": "https://app.datadoghq.com/api/scim/v2/Users/79ef0d28-f257-4829-97e6-d23d2a26cb1a",
            "resourceType": "User"
          },
          "name": {
            "formatted": "Jane Doe"
          },
          "schemas": [
            "urn:ietf:params:scim:schemas:core:2.0:User"
          ],
          "title": "Mrs.",
          "userName": "jane.doe@datadoghq.com"
        }
      ],
      "itemsPerPage": 2,
      "schemas": [
        "urn:ietf:params:scim:api:messages:2.0:ListResponse"
      ],
      "startIndex": 1,
      "totalResults": 2
    }

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Users" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"

    POST https://api.ap1.datadoghq.com/api/v2/scim/Usershttps://api.ap2.datadoghq.com/api/v2/scim/Usershttps://api.datadoghq.eu/api/v2/scim/Usershttps://api.ddog-gov.com/api/v2/scim/Usershttps://api.us2.ddog-gov.com/api/v2/scim/Usershttps://api.datadoghq.com/api/v2/scim/Usershttps://api.us3.datadoghq.com/api/v2/scim/Usershttps://api.us5.datadoghq.com/api/v2/scim/Users

    Overview

    Create a new user. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Request

    Body Data (required)

    Expand All

    Field

    Type

    Description

    active

    boolean

    A Boolean value indicating the User's administrative status.

    emails

    [object]

    Email addresses for the user.

    primary

    boolean

    Boolean indicating if this email is the primary email address.

    type

    enum

    The type of email. Allowed enum values: work

    value

    string

    Email addresses for the user.

    id

    string

    The identifier of the resource. Not required when creating a user.

    meta

    object

    Metadata associated with a user.

    created

    date-time

    The date and time the user was created.

    lastModified

    date-time

    The date and time the user was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    name

    object

    The components of user's real name

    formatted

    string

    The full name, including all middle names, titles, and suffixes as appropriate, formatted for display.

    schemas

    [string]

    User JSON Schemas.

    title

    string

    The user's title.

    userName

    string

    Unique identifier for the User.

    {
      "active": false,
      "emails": [
        {
          "primary": false,
          "type": "string",
          "value": "string"
        }
      ],
      "id": "string",
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Users/13a95654-b76d-478d-8636-157a7e461d7c",
        "resourceType": "User"
      },
      "name": {
        "formatted": "string"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "title": "string",
      "userName": "string"
    }

    Response

    Created

    Definition of a user.

    Expand All

    Field

    Type

    Description

    active

    boolean

    A Boolean value indicating the User's administrative status.

    emails

    [object]

    Email addresses for the user.

    primary

    boolean

    Boolean indicating if this email is the primary email address.

    type

    enum

    The type of email. Allowed enum values: work

    value

    string

    Email addresses for the user.

    id

    string

    The identifier of the resource. Not required when creating a user.

    meta

    object

    Metadata associated with a user.

    created

    date-time

    The date and time the user was created.

    lastModified

    date-time

    The date and time the user was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    name

    object

    The components of user's real name

    formatted

    string

    The full name, including all middle names, titles, and suffixes as appropriate, formatted for display.

    schemas

    [string]

    User JSON Schemas.

    title

    string

    The user's title.

    userName

    string

    Unique identifier for the User.

    {
      "active": false,
      "emails": [
        {
          "primary": false,
          "type": "string",
          "value": "string"
        }
      ],
      "id": "string",
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Users/13a95654-b76d-478d-8636-157a7e461d7c",
        "resourceType": "User"
      },
      "name": {
        "formatted": "string"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "title": "string",
      "userName": "string"
    }

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      ## default
    # 
    
    # Curl command
    curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Users" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "active": true, "emails": [ { "primary": true, "type": "work", "value": "john.doe@datadoghq.com" } ], "name": { "formatted": "John Doe" }, "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "title": "Mr.", "userName": "john.doe@datadoghq.com" } EOF
    ## json-request-body #
    # Curl command
    curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Users" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "active": true, "emails": [ { "primary": true, "type": "work", "value": "john.doe@datadoghq.com" } ], "name": { "formatted": "John Doe" }, "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "title": "Mr.", "userName": "john.doe@datadoghq.com" } EOF

    GET https://api.ap1.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.ap2.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.datadoghq.eu/api/v2/scim/Users/{user_uuid}https://api.ddog-gov.com/api/v2/scim/Users/{user_uuid}https://api.us2.ddog-gov.com/api/v2/scim/Users/{user_uuid}https://api.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.us3.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.us5.datadoghq.com/api/v2/scim/Users/{user_uuid}

    Overview

    Get a single user using the user_uuid. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Arguments

    Path Parameters

    Name

    Type

    Description

    user_uuid [required]

    string

    None

    Response

    OK

    Definition of a user.

    Expand All

    Field

    Type

    Description

    active

    boolean

    A Boolean value indicating the User's administrative status.

    emails

    [object]

    Email addresses for the user.

    primary

    boolean

    Boolean indicating if this email is the primary email address.

    type

    enum

    The type of email. Allowed enum values: work

    value

    string

    Email addresses for the user.

    id

    string

    The identifier of the resource. Not required when creating a user.

    meta

    object

    Metadata associated with a user.

    created

    date-time

    The date and time the user was created.

    lastModified

    date-time

    The date and time the user was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    name

    object

    The components of user's real name

    formatted

    string

    The full name, including all middle names, titles, and suffixes as appropriate, formatted for display.

    schemas

    [string]

    User JSON Schemas.

    title

    string

    The user's title.

    userName

    string

    Unique identifier for the User.

    {
      "active": false,
      "emails": [
        {
          "primary": false,
          "type": "string",
          "value": "string"
        }
      ],
      "id": "string",
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Users/13a95654-b76d-478d-8636-157a7e461d7c",
        "resourceType": "User"
      },
      "name": {
        "formatted": "string"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "title": "string",
      "userName": "string"
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Path parameters
    export user_uuid="CHANGE_ME"
    # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Users/${user_uuid}" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"

    PUT https://api.ap1.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.ap2.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.datadoghq.eu/api/v2/scim/Users/{user_uuid}https://api.ddog-gov.com/api/v2/scim/Users/{user_uuid}https://api.us2.ddog-gov.com/api/v2/scim/Users/{user_uuid}https://api.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.us3.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.us5.datadoghq.com/api/v2/scim/Users/{user_uuid}

    Overview

    Update the user with the given user_uuid. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Arguments

    Path Parameters

    Name

    Type

    Description

    user_uuid [required]

    string

    None

    Request

    Body Data (required)

    Expand All

    Field

    Type

    Description

    active

    boolean

    A Boolean value indicating the User's administrative status.

    emails

    [object]

    Email addresses for the user.

    primary

    boolean

    Boolean indicating if this email is the primary email address.

    type

    enum

    The type of email. Allowed enum values: work

    value

    string

    Email addresses for the user.

    id

    string

    The identifier of the resource. Not required when creating a user.

    meta

    object

    Metadata associated with a user.

    created

    date-time

    The date and time the user was created.

    lastModified

    date-time

    The date and time the user was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    name

    object

    The components of user's real name

    formatted

    string

    The full name, including all middle names, titles, and suffixes as appropriate, formatted for display.

    schemas

    [string]

    User JSON Schemas.

    title

    string

    The user's title.

    userName

    string

    Unique identifier for the User.

    {
      "active": false,
      "emails": [
        {
          "primary": false,
          "type": "string",
          "value": "string"
        }
      ],
      "id": "string",
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Users/13a95654-b76d-478d-8636-157a7e461d7c",
        "resourceType": "User"
      },
      "name": {
        "formatted": "string"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "title": "string",
      "userName": "string"
    }

    Response

    OK

    Definition of a user.

    Expand All

    Field

    Type

    Description

    active

    boolean

    A Boolean value indicating the User's administrative status.

    emails

    [object]

    Email addresses for the user.

    primary

    boolean

    Boolean indicating if this email is the primary email address.

    type

    enum

    The type of email. Allowed enum values: work

    value

    string

    Email addresses for the user.

    id

    string

    The identifier of the resource. Not required when creating a user.

    meta

    object

    Metadata associated with a user.

    created

    date-time

    The date and time the user was created.

    lastModified

    date-time

    The date and time the user was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    name

    object

    The components of user's real name

    formatted

    string

    The full name, including all middle names, titles, and suffixes as appropriate, formatted for display.

    schemas

    [string]

    User JSON Schemas.

    title

    string

    The user's title.

    userName

    string

    Unique identifier for the User.

    {
      "active": false,
      "emails": [
        {
          "primary": false,
          "type": "string",
          "value": "string"
        }
      ],
      "id": "string",
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Users/13a95654-b76d-478d-8636-157a7e461d7c",
        "resourceType": "User"
      },
      "name": {
        "formatted": "string"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "title": "string",
      "userName": "string"
    }

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      ## default
    # 
    
    # Path parameters
    export user_uuid="CHANGE_ME"
    # Curl command
    curl -X PUT "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Users/${user_uuid}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "active": true, "emails": [ { "primary": true, "type": "work", "value": "john.doe@datadoghq.com" } ], "id": "e43536e9-33fe-43f8-90b8-d3e39a7dd6ad", "name": { "formatted": "John Doe" }, "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "title": "Mr.", "userName": "john.doe@datadoghq.com" } EOF
    ## json-request-body #
    # Path parameters
    export user_uuid="CHANGE_ME"
    # Curl command
    curl -X PUT "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Users/${user_uuid}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "active": true, "emails": [ { "primary": true, "type": "work", "value": "john.doe@datadoghq.com" } ], "id": "e43536e9-33fe-43f8-90b8-d3e39a7dd6ad", "name": { "formatted": "John Doe" }, "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User" ], "title": "Mr.", "userName": "john.doe@datadoghq.com" } EOF

    PATCH https://api.ap1.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.ap2.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.datadoghq.eu/api/v2/scim/Users/{user_uuid}https://api.ddog-gov.com/api/v2/scim/Users/{user_uuid}https://api.us2.ddog-gov.com/api/v2/scim/Users/{user_uuid}https://api.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.us3.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.us5.datadoghq.com/api/v2/scim/Users/{user_uuid}

    Overview

    Patch the user with the given user_uuid. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Arguments

    Path Parameters

    Name

    Type

    Description

    user_uuid [required]

    string

    None

    Request

    Body Data (required)

    Expand All

    Field

    Type

    Description

    Operations

    [object]

    A list of update operations to be performed on a user.

    op

    enum

    The operation to be performed. Allowed enum values: add,replace

    path

    string

    An attribute path describing the target of the operation.

    value

    New value to use for the patch operation.

    schemas

    [string]

    Input JSON Schemas

    {
      "Operations": [
        {
          "op": "string",
          "path": "title",
          "value": "undefined"
        }
      ],
      "schemas": [
        "urn:ietf:params:scim:api:messages:2.0:PatchOp"
      ]
    }

    Response

    OK

    Definition of a user.

    Expand All

    Field

    Type

    Description

    active

    boolean

    A Boolean value indicating the User's administrative status.

    emails

    [object]

    Email addresses for the user.

    primary

    boolean

    Boolean indicating if this email is the primary email address.

    type

    enum

    The type of email. Allowed enum values: work

    value

    string

    Email addresses for the user.

    id

    string

    The identifier of the resource. Not required when creating a user.

    meta

    object

    Metadata associated with a user.

    created

    date-time

    The date and time the user was created.

    lastModified

    date-time

    The date and time the user was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    name

    object

    The components of user's real name

    formatted

    string

    The full name, including all middle names, titles, and suffixes as appropriate, formatted for display.

    schemas

    [string]

    User JSON Schemas.

    title

    string

    The user's title.

    userName

    string

    Unique identifier for the User.

    {
      "active": false,
      "emails": [
        {
          "primary": false,
          "type": "string",
          "value": "string"
        }
      ],
      "id": "string",
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Users/13a95654-b76d-478d-8636-157a7e461d7c",
        "resourceType": "User"
      },
      "name": {
        "formatted": "string"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "title": "string",
      "userName": "string"
    }

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Forbidden

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      ## default
    # 
    
    # Path parameters
    export user_uuid="CHANGE_ME"
    # Curl command
    curl -X PATCH "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Users/${user_uuid}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "Operations": [ { "op": "replace", "path": "title", "value": "CEO" }, { "op": "replace", "value": { "name": { "formatted": "John Doe" } } } ], "schemas": [ "urn:ietf:params:scim:api:messages:2.0:PatchOp" ] } EOF
    ## json-request-body #
    # Path parameters
    export user_uuid="CHANGE_ME"
    # Curl command
    curl -X PATCH "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Users/${user_uuid}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "Operations": [ { "op": "replace", "path": "title", "value": "CEO" }, { "op": "replace", "value": { "name": { "formatted": "John Doe" } } } ], "schemas": [ "urn:ietf:params:scim:api:messages:2.0:PatchOp" ] } EOF

    DELETE https://api.ap1.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.ap2.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.datadoghq.eu/api/v2/scim/Users/{user_uuid}https://api.ddog-gov.com/api/v2/scim/Users/{user_uuid}https://api.us2.ddog-gov.com/api/v2/scim/Users/{user_uuid}https://api.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.us3.datadoghq.com/api/v2/scim/Users/{user_uuid}https://api.us5.datadoghq.com/api/v2/scim/Users/{user_uuid}

    Overview

    Delete the group with the given user_uuid. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Arguments

    Path Parameters

    Name

    Type

    Description

    user_uuid [required]

    string

    None

    Response

    No Content

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Path parameters
    export user_uuid="CHANGE_ME"
    # Curl command
    curl -X DELETE "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Users/${user_uuid}" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"

    GET https://api.ap1.datadoghq.com/api/v2/scim/Groupshttps://api.ap2.datadoghq.com/api/v2/scim/Groupshttps://api.datadoghq.eu/api/v2/scim/Groupshttps://api.ddog-gov.com/api/v2/scim/Groupshttps://api.us2.ddog-gov.com/api/v2/scim/Groupshttps://api.datadoghq.com/api/v2/scim/Groupshttps://api.us3.datadoghq.com/api/v2/scim/Groupshttps://api.us5.datadoghq.com/api/v2/scim/Groups

    Overview

    List groups in the organization. Results are paginated by startIndex and count parameters. Results can be narrowed down by the filter parameter. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Arguments

    Query Strings

    Name

    Type

    Description

    startIndex

    integer

    Specifies the start index to fetch the results (1-indexed).

    count

    integer

    Specifies the number of groups to be returned.

    filter

    string

    Specifies the url encoded filter to use to narrow down the results. Filters can be in the form of displayName eq <group name> or externalId eq <external id of group> or id eq <group id> and members eq <user uuid> or members eq <user uuid> and id eq <group id>.

    Response

    OK

    List groups response object.

    Expand All

    Field

    Type

    Description

    Resources

    [object]

    List of groups matching the request criteria.

    displayName

    string

    A human-readable name for the group.

    externalId

    string

    An identifier for the resource as defined by the provisioning client.

    id

    string

    The identifier of the resource. Not required when creating a group.

    members

    [object]

    A list of members belonging to the team.

    $ref

    string

    The URI corresponding to a resource that is a member of this group.

    display

    string

    Full name of the user.

    type

    string

    A label indicating the type of resource. Only supported value is "User".

    value

    string

    The identifier of the member of this group.

    meta

    object

    Metadata associated with a group.

    created

    date-time

    The date and time the group was created.

    lastModified

    date-time

    The date and time the group was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    schemas

    [string]

    Group JSON Schemas.

    itemsPerPage

    int64

    Number of groups returned per page.

    schemas

    [string]

    List response JSON Schemas.

    startIndex

    int64

    Starting index of the groups for this page (1-indexed).

    totalResults

    int64

    Total number of groups matching the request criteria.

    {
      "Resources": [
        {
          "displayName": "Group 1",
          "externalId": "group1",
          "id": "e43536e9-33fe-43f8-90b8-d3e39a7dd6ad",
          "members": [
            {
              "$ref": "https://app.datadoghq.com/api/scim/v2/Users/d34a5f93-5690-4d3f-a293-f2ad5c7a82a4",
              "display": "John Doe",
              "type": "User",
              "value": "d34a5f93-5690-4d3f-a293-f2ad5c7a82a4"
            },
            {
              "$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
              "display": "Jane Doe",
              "type": "User",
              "value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6"
            }
          ],
          "meta": {
            "created": "2024-11-22T15:05:52.055138963Z",
            "lastModified": "2024-11-22T15:05:52.055139017Z",
            "location": "https://app.datadoghq.com/api/scim/v2/Groups/e43536e9-33fe-43f8-90b8-d3e39a7dd6ad",
            "resourceType": "Group"
          },
          "schemas": [
            "urn:ietf:params:scim:schemas:core:2.0:Group"
          ]
        },
        {
          "displayName": "Group 2",
          "externalId": "group2",
          "id": "79ef0d28-f257-4829-97e6-d23d2a26cb1a",
          "members": [
            {
              "$ref": "https://app.datadoghq.com/api/scim/v2/Users/29da9fb7-8fca-4e87-bf58-86652253deae",
              "display": "Alice Smith",
              "type": "User",
              "value": "29da9fb7-8fca-4e87-bf58-86652253deae"
            },
            {
              "$ref": "https://app.datadoghq.com/api/scim/v2/Users/f85e3868-ad7b-47e3-a8a9-ff1eade2bbf9",
              "display": "Bob Smith",
              "type": "User",
              "value": "f85e3868-ad7b-47e3-a8a9-ff1eade2bbf9"
            }
          ],
          "meta": {
            "created": "2024-11-22T15:05:52.055139748Z",
            "lastModified": "2024-11-22T15:05:52.055139813Z",
            "location": "https://app.datadoghq.com/api/scim/v2/Groups/79ef0d28-f257-4829-97e6-d23d2a26cb1a",
            "resourceType": "Group"
          },
          "schemas": [
            "urn:ietf:params:scim:schemas:core:2.0:Group"
          ]
        }
      ],
      "itemsPerPage": 2,
      "schemas": [
        "urn:ietf:params:scim:api:messages:2.0:ListResponse"
      ],
      "startIndex": 1,
      "totalResults": 2
    }

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Groups" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"

    POST https://api.ap1.datadoghq.com/api/v2/scim/Groupshttps://api.ap2.datadoghq.com/api/v2/scim/Groupshttps://api.datadoghq.eu/api/v2/scim/Groupshttps://api.ddog-gov.com/api/v2/scim/Groupshttps://api.us2.ddog-gov.com/api/v2/scim/Groupshttps://api.datadoghq.com/api/v2/scim/Groupshttps://api.us3.datadoghq.com/api/v2/scim/Groupshttps://api.us5.datadoghq.com/api/v2/scim/Groups

    Overview

    Create a new group. The group may contain members. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Request

    Body Data (required)

    Expand All

    Field

    Type

    Description

    displayName

    string

    A human-readable name for the group.

    externalId

    string

    An identifier for the resource as defined by the provisioning client.

    id

    string

    The identifier of the resource. Not required when creating a group.

    members

    [object]

    Members of the group.

    $ref

    string

    The URI corresponding to a SCIM resource that is a member of this group.

    display

    string

    A human-readable name for the group member.

    type

    string

    A label indicating the type of resource.

    value

    string

    The identifier of the member of this group.

    meta

    object

    Metadata associated with a group.

    created

    date-time

    The date and time the group was created.

    lastModified

    date-time

    The date and time the group was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    schemas

    [string]

    Input JSON Schemas.

    {
      "displayName": "string",
      "externalId": "string",
      "id": "string",
      "members": [
        {
          "$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
          "display": "John Doe",
          "type": "User",
          "value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6"
        }
      ],
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Groups/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
        "resourceType": "Group"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
      ]
    }

    Response

    Created

    Definition of a group.

    Expand All

    Field

    Type

    Description

    displayName

    string

    A human-readable name for the group.

    externalId

    string

    An identifier for the resource as defined by the provisioning client.

    id

    string

    The identifier of the resource. Not required when creating a group.

    members

    [object]

    Members of the group.

    $ref

    string

    The URI corresponding to a SCIM resource that is a member of this group.

    display

    string

    A human-readable name for the group member.

    type

    string

    A label indicating the type of resource.

    value

    string

    The identifier of the member of this group.

    meta

    object

    Metadata associated with a group.

    created

    date-time

    The date and time the group was created.

    lastModified

    date-time

    The date and time the group was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    schemas

    [string]

    Input JSON Schemas.

    {
      "displayName": "string",
      "externalId": "string",
      "id": "string",
      "members": [
        {
          "$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
          "display": "John Doe",
          "type": "User",
          "value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6"
        }
      ],
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Groups/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
        "resourceType": "Group"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
      ]
    }

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      ## default
    # 
    
    # Curl command
    curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Groups" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "displayName": "Group 1", "externalId": "group1", "members": [ { "$ref": "https://app.datadoghq.com/api/scim/v2/Users/d34a5f93-5690-4d3f-a293-f2ad5c7a82a4", "display": "John Doe", "type": "User", "value": "d34a5f93-5690-4d3f-a293-f2ad5c7a82a4" }, { "$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6", "display": "Jane Doe", "type": "User", "value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6" } ], "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ] } EOF
    ## json-request-body #
    # Curl command
    curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Groups" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "displayName": "Group 1", "externalId": "group1", "members": [ { "$ref": "https://app.datadoghq.com/api/scim/v2/Users/d34a5f93-5690-4d3f-a293-f2ad5c7a82a4", "display": "John Doe", "type": "User", "value": "d34a5f93-5690-4d3f-a293-f2ad5c7a82a4" }, { "$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6", "display": "Jane Doe", "type": "User", "value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6" } ], "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ] } EOF

    GET https://api.ap1.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.ap2.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.datadoghq.eu/api/v2/scim/Groups/{group_id}https://api.ddog-gov.com/api/v2/scim/Groups/{group_id}https://api.us2.ddog-gov.com/api/v2/scim/Groups/{group_id}https://api.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.us3.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.us5.datadoghq.com/api/v2/scim/Groups/{group_id}

    Overview

    Get a single group using the group_id. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Arguments

    Path Parameters

    Name

    Type

    Description

    group_id [required]

    string

    None

    Response

    OK

    Definition of a group.

    Expand All

    Field

    Type

    Description

    displayName

    string

    A human-readable name for the group.

    externalId

    string

    An identifier for the resource as defined by the provisioning client.

    id

    string

    The identifier of the resource. Not required when creating a group.

    members

    [object]

    Members of the group.

    $ref

    string

    The URI corresponding to a SCIM resource that is a member of this group.

    display

    string

    A human-readable name for the group member.

    type

    string

    A label indicating the type of resource.

    value

    string

    The identifier of the member of this group.

    meta

    object

    Metadata associated with a group.

    created

    date-time

    The date and time the group was created.

    lastModified

    date-time

    The date and time the group was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    schemas

    [string]

    Input JSON Schemas.

    {
      "displayName": "string",
      "externalId": "string",
      "id": "string",
      "members": [
        {
          "$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
          "display": "John Doe",
          "type": "User",
          "value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6"
        }
      ],
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Groups/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
        "resourceType": "Group"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
      ]
    }

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Path parameters
    export group_id="CHANGE_ME"
    # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Groups/${group_id}" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"

    PUT https://api.ap1.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.ap2.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.datadoghq.eu/api/v2/scim/Groups/{group_id}https://api.ddog-gov.com/api/v2/scim/Groups/{group_id}https://api.us2.ddog-gov.com/api/v2/scim/Groups/{group_id}https://api.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.us3.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.us5.datadoghq.com/api/v2/scim/Groups/{group_id}

    Overview

    Update the group with the given group_id. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Arguments

    Path Parameters

    Name

    Type

    Description

    group_id [required]

    string

    None

    Request

    Body Data (required)

    Expand All

    Field

    Type

    Description

    displayName

    string

    A human-readable name for the group.

    externalId

    string

    An identifier for the resource as defined by the provisioning client.

    id

    string

    The identifier of the resource. Not required when creating a group.

    members

    [object]

    Members of the group.

    $ref

    string

    The URI corresponding to a SCIM resource that is a member of this group.

    display

    string

    A human-readable name for the group member.

    type

    string

    A label indicating the type of resource.

    value

    string

    The identifier of the member of this group.

    meta

    object

    Metadata associated with a group.

    created

    date-time

    The date and time the group was created.

    lastModified

    date-time

    The date and time the group was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    schemas

    [string]

    Input JSON Schemas.

    {
      "displayName": "string",
      "externalId": "string",
      "id": "string",
      "members": [
        {
          "$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
          "display": "John Doe",
          "type": "User",
          "value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6"
        }
      ],
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Groups/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
        "resourceType": "Group"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
      ]
    }

    Response

    OK

    Definition of a group.

    Expand All

    Field

    Type

    Description

    displayName

    string

    A human-readable name for the group.

    externalId

    string

    An identifier for the resource as defined by the provisioning client.

    id

    string

    The identifier of the resource. Not required when creating a group.

    members

    [object]

    Members of the group.

    $ref

    string

    The URI corresponding to a SCIM resource that is a member of this group.

    display

    string

    A human-readable name for the group member.

    type

    string

    A label indicating the type of resource.

    value

    string

    The identifier of the member of this group.

    meta

    object

    Metadata associated with a group.

    created

    date-time

    The date and time the group was created.

    lastModified

    date-time

    The date and time the group was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    schemas

    [string]

    Input JSON Schemas.

    {
      "displayName": "string",
      "externalId": "string",
      "id": "string",
      "members": [
        {
          "$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
          "display": "John Doe",
          "type": "User",
          "value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6"
        }
      ],
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Groups/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
        "resourceType": "Group"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
      ]
    }

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Conflict

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      ## default
    # 
    
    # Path parameters
    export group_id="CHANGE_ME"
    # Curl command
    curl -X PUT "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Groups/${group_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "displayName": "Group 1", "externalId": "group1", "id": "e43536e9-33fe-43f8-90b8-d3e39a7dd6ad", "members": [ { "$ref": "https://app.datadoghq.com/api/scim/v2/Users/d34a5f93-5690-4d3f-a293-f2ad5c7a82a4", "display": "John Doe", "type": "User", "value": "d34a5f93-5690-4d3f-a293-f2ad5c7a82a4" }, { "$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6", "display": "Jane Doe", "type": "User", "value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6" } ], "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ] } EOF
    ## json-request-body #
    # Path parameters
    export group_id="CHANGE_ME"
    # Curl command
    curl -X PUT "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Groups/${group_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "displayName": "Group 1", "externalId": "group1", "id": "e43536e9-33fe-43f8-90b8-d3e39a7dd6ad", "members": [ { "$ref": "https://app.datadoghq.com/api/scim/v2/Users/d34a5f93-5690-4d3f-a293-f2ad5c7a82a4", "display": "John Doe", "type": "User", "value": "d34a5f93-5690-4d3f-a293-f2ad5c7a82a4" }, { "$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6", "display": "Jane Doe", "type": "User", "value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6" } ], "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ] } EOF

    PATCH https://api.ap1.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.ap2.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.datadoghq.eu/api/v2/scim/Groups/{group_id}https://api.ddog-gov.com/api/v2/scim/Groups/{group_id}https://api.us2.ddog-gov.com/api/v2/scim/Groups/{group_id}https://api.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.us3.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.us5.datadoghq.com/api/v2/scim/Groups/{group_id}

    Overview

    Patch the group with the given group_id. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Arguments

    Path Parameters

    Name

    Type

    Description

    group_id [required]

    string

    None

    Request

    Body Data (required)

    Expand All

    Field

    Type

    Description

    Operations

    [object]

    A list of update operations to be performed on a group.

    op

    enum

    The operation to be performed. Allowed enum values: add,replace,remove

    path

    string

    An attribute path describing the target of the operation.

    value

    JSON element containing the target values required to apply the patch operation.

    schemas

    [string]

    Input JSON Schemas

    {
      "Operations": [
        {
          "op": "string",
          "path": "members",
          "value": "{\n    \"displayName\": \"Real new group\",\n    \"id\": \"80df3a9b-24f5-4ebf-9ba0-714455453621\"\n}"
        }
      ],
      "schemas": [
        "urn:ietf:params:scim:api:messages:2.0:PatchOp"
      ]
    }

    Response

    OK

    Definition of a group.

    Expand All

    Field

    Type

    Description

    displayName

    string

    A human-readable name for the group.

    externalId

    string

    An identifier for the resource as defined by the provisioning client.

    id

    string

    The identifier of the resource. Not required when creating a group.

    members

    [object]

    Members of the group.

    $ref

    string

    The URI corresponding to a SCIM resource that is a member of this group.

    display

    string

    A human-readable name for the group member.

    type

    string

    A label indicating the type of resource.

    value

    string

    The identifier of the member of this group.

    meta

    object

    Metadata associated with a group.

    created

    date-time

    The date and time the group was created.

    lastModified

    date-time

    The date and time the group was last changed.

    location

    string

    URL identifying the resource.

    resourceType

    string

    Type of resource.

    schemas

    [string]

    Input JSON Schemas.

    {
      "displayName": "string",
      "externalId": "string",
      "id": "string",
      "members": [
        {
          "$ref": "https://app.datadoghq.com/api/scim/v2/Users/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
          "display": "John Doe",
          "type": "User",
          "value": "429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6"
        }
      ],
      "meta": {
        "created": "2024-10-17T12:53:35.793Z",
        "lastModified": "2024-10-19T12:53:35.793Z",
        "location": "https://app.datadoghq.com/api/scim/v2/Groups/429ebce5-8ed3-4da9-9f1e-662f2dbc2fe6",
        "resourceType": "Group"
      },
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
      ]
    }

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      ## default
    # 
    
    # Path parameters
    export group_id="CHANGE_ME"
    # Curl command
    curl -X PATCH "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Groups/${group_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "Operations": [ { "op": "replace", "path": "None", "value": { "displayName": "Real new group", "id": "e43536e9-33fe-43f8-90b8-d3e39a7dd6ad" } }, { "op": "add", "path": "None", "value": { "members": [ { "$ref": "https://app.datadoghq.com/api/scim/v2/Users/f85e3868-ad7b-47e3-a8a9-ff1eade2bbf9", "displayName": "Bob Smith", "value": "f85e3868-ad7b-47e3-a8a9-ff1eade2bbf9" } ] } }, { "op": "remove", "path": "members[value eq \"fddf0cf2-9b60-11ef-ad4b-d6754a54a839\"]", "value": null } ], "schemas": [ "urn:ietf:params:scim:api:messages:2.0:PatchOp" ] } EOF
    ## json-request-body #
    # Path parameters
    export group_id="CHANGE_ME"
    # Curl command
    curl -X PATCH "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Groups/${group_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}" \ -d @- << EOF { "Operations": [ { "op": "replace", "path": "None", "value": { "displayName": "Real new group", "id": "e43536e9-33fe-43f8-90b8-d3e39a7dd6ad" } }, { "op": "add", "path": "None", "value": { "members": [ { "$ref": "https://app.datadoghq.com/api/scim/v2/Users/f85e3868-ad7b-47e3-a8a9-ff1eade2bbf9", "displayName": "Bob Smith", "value": "f85e3868-ad7b-47e3-a8a9-ff1eade2bbf9" } ] } }, { "op": "remove", "path": "members[value eq \"fddf0cf2-9b60-11ef-ad4b-d6754a54a839\"]", "value": null } ], "schemas": [ "urn:ietf:params:scim:api:messages:2.0:PatchOp" ] } EOF

    DELETE https://api.ap1.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.ap2.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.datadoghq.eu/api/v2/scim/Groups/{group_id}https://api.ddog-gov.com/api/v2/scim/Groups/{group_id}https://api.us2.ddog-gov.com/api/v2/scim/Groups/{group_id}https://api.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.us3.datadoghq.com/api/v2/scim/Groups/{group_id}https://api.us5.datadoghq.com/api/v2/scim/Groups/{group_id}

    Overview

    Delete the group with the given group_id. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Arguments

    Path Parameters

    Name

    Type

    Description

    group_id [required]

    string

    None

    Response

    No Content

    Bad Request

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Path parameters
    export group_id="CHANGE_ME"
    # Curl command
    curl -X DELETE "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Groups/${group_id}" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"

    GET https://api.ap1.datadoghq.com/api/v2/scim/ResourceTypeshttps://api.ap2.datadoghq.com/api/v2/scim/ResourceTypeshttps://api.datadoghq.eu/api/v2/scim/ResourceTypeshttps://api.ddog-gov.com/api/v2/scim/ResourceTypeshttps://api.us2.ddog-gov.com/api/v2/scim/ResourceTypeshttps://api.datadoghq.com/api/v2/scim/ResourceTypeshttps://api.us3.datadoghq.com/api/v2/scim/ResourceTypeshttps://api.us5.datadoghq.com/api/v2/scim/ResourceTypes

    Overview

    List the SCIM resource types supported by this service provider. See RFC 7644 Section 4 for more information. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Response

    OK

    List resource types response object.

    Expand All

    Field

    Type

    Description

    Resources

    [object]

    List of resource types supported by this SCIM service provider.

    description

    string

    Human-readable description of the resource type.

    endpoint

    string

    HTTP-addressable endpoint relative to the base URL where the resource is located.

    id

    string

    The resource type's server unique id.

    meta

    object

    Metadata associated with a resource type.

    location

    string

    URL identifying the resource type.

    resourceType

    string

    Type of resource.

    name

    string

    The resource type name.

    schema

    string

    The resource type's primary or base SCIM schema URI.

    schemas

    [string]

    A list of SCIM schema URI identifying the protocol or schema used in this object.

    itemsPerPage

    int64

    Number of resource types returned per page.

    schemas

    [string]

    List response JSON Schemas.

    startIndex

    int64

    Starting index of the resource types for this page (1-indexed).

    totalResults

    int64

    Total number of resource types.

    {
      "Resources": [
        {
          "description": "https://tools.ietf.org/html/rfc7643#section-8.7.1",
          "endpoint": "/Groups",
          "id": "Group",
          "meta": {
            "location": "https://app.datadoghq.com/api/v2/scim/ResourceTypes/Group",
            "resourceType": "ResourceType"
          },
          "name": "Group",
          "schema": "urn:ietf:params:scim:schemas:core:2.0:Group",
          "schemas": [
            "urn:ietf:params:scim:schemas:core:2.0:ResourceType"
          ]
        },
        {
          "description": "https://tools.ietf.org/html/rfc7643#section-8.7.1",
          "endpoint": "/Users",
          "id": "User",
          "meta": {
            "location": "https://app.datadoghq.com/api/v2/scim/ResourceTypes/User",
            "resourceType": "ResourceType"
          },
          "name": "User",
          "schema": "urn:ietf:params:scim:schemas:core:2.0:User",
          "schemas": [
            "urn:ietf:params:scim:schemas:core:2.0:ResourceType"
          ]
        }
      ],
      "itemsPerPage": 2,
      "schemas": [
        "urn:ietf:params:scim:api:messages:2.0:ListResponse"
      ],
      "startIndex": 1,
      "totalResults": 2
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/ResourceTypes" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"

    GET https://api.ap1.datadoghq.com/api/v2/scim/ResourceTypes/{resource_id}https://api.ap2.datadoghq.com/api/v2/scim/ResourceTypes/{resource_id}https://api.datadoghq.eu/api/v2/scim/ResourceTypes/{resource_id}https://api.ddog-gov.com/api/v2/scim/ResourceTypes/{resource_id}https://api.us2.ddog-gov.com/api/v2/scim/ResourceTypes/{resource_id}https://api.datadoghq.com/api/v2/scim/ResourceTypes/{resource_id}https://api.us3.datadoghq.com/api/v2/scim/ResourceTypes/{resource_id}https://api.us5.datadoghq.com/api/v2/scim/ResourceTypes/{resource_id}

    Overview

    Get a single SCIM resource type using the resource_id. Supported resource_id values are User and Group. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Arguments

    Path Parameters

    Name

    Type

    Description

    resource_id [required]

    string

    The id of the resource type to retrieve.

    Response

    OK

    Definition of a SCIM resource type.

    Expand All

    Field

    Type

    Description

    description

    string

    Human-readable description of the resource type.

    endpoint

    string

    HTTP-addressable endpoint relative to the base URL where the resource is located.

    id

    string

    The resource type's server unique id.

    meta

    object

    Metadata associated with a resource type.

    location

    string

    URL identifying the resource type.

    resourceType

    string

    Type of resource.

    name

    string

    The resource type name.

    schema

    string

    The resource type's primary or base SCIM schema URI.

    schemas

    [string]

    A list of SCIM schema URI identifying the protocol or schema used in this object.

    {
      "description": "https://tools.ietf.org/html/rfc7643#section-8.7.1",
      "endpoint": "/Users",
      "id": "User",
      "meta": {
        "location": "https://app.datadoghq.com/api/v2/scim/ResourceTypes/User",
        "resourceType": "ResourceType"
      },
      "name": "User",
      "schema": "urn:ietf:params:scim:schemas:core:2.0:User",
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:ResourceType"
      ]
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Path parameters
    export resource_id="CHANGE_ME"
    # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/ResourceTypes/${resource_id}" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"

    GET https://api.ap1.datadoghq.com/api/v2/scim/Schemashttps://api.ap2.datadoghq.com/api/v2/scim/Schemashttps://api.datadoghq.eu/api/v2/scim/Schemashttps://api.ddog-gov.com/api/v2/scim/Schemashttps://api.us2.ddog-gov.com/api/v2/scim/Schemashttps://api.datadoghq.com/api/v2/scim/Schemashttps://api.us3.datadoghq.com/api/v2/scim/Schemashttps://api.us5.datadoghq.com/api/v2/scim/Schemas

    Overview

    List the SCIM schemas supported by this service provider. See RFC 7644 Section 4 for more information. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Response

    OK

    List schemas response object.

    Expand All

    Field

    Type

    Description

    Resources

    [object]

    List of schemas supported by this SCIM service provider.

    attributes

    [object]

    A list of attributes that make up the schema.

    canonicalValues

    [string]

    A collection of canonical values.

    caseExact

    boolean

    A Boolean value that specifies whether or not a string attribute is case sensitive.

    description

    string

    The attribute's human-readable description.

    multiValued

    boolean

    A Boolean value indicating an attribute's plurality.

    mutability

    string

    A single keyword indicating the circumstances under which the value of the attribute can be (re)defined.

    name

    string

    The attribute's name.

    referenceTypes

    [string]

    A list of resource types or external resources the reference may refer to.

    required

    boolean

    A Boolean value that specifies whether or not the attribute is required.

    returned

    string

    A single keyword that indicates when an attribute and associated values are returned in response to a GET request or in response to a PUT, POST, or PATCH request.

    subAttributes

    [object]

    A list of sub-attributes for complex attributes.

    canonicalValues

    [string]

    A collection of canonical values.

    caseExact

    boolean

    A Boolean value that specifies whether or not a string attribute is case sensitive.

    description

    string

    The attribute's human-readable description.

    multiValued

    boolean

    A Boolean value indicating an attribute's plurality.

    mutability

    string

    A single keyword indicating the circumstances under which the value of the attribute can be (re)defined.

    name

    string

    The sub-attribute's name.

    referenceTypes

    [string]

    A list of resource types or external resources the reference may refer to.

    required

    boolean

    A Boolean value that specifies whether or not the attribute is required.

    returned

    string

    A single keyword that indicates when an attribute and associated values are returned in response to a GET request or in response to a PUT, POST, or PATCH request.

    type

    string

    The data type of the attribute.

    uniqueness

    string

    A single keyword value that specifies how the service provider enforces uniqueness of attribute values.

    type

    string

    The data type of the attribute.

    uniqueness

    string

    A single keyword value that specifies how the service provider enforces uniqueness of attribute values.

    description

    string

    Human-readable description of the schema.

    id

    string

    The unique URI of the schema.

    meta

    object

    Metadata associated with a SCIM schema.

    location

    string

    URL identifying the schema.

    resourceType

    string

    Type of resource.

    name

    string

    The human-readable name of the schema.

    itemsPerPage

    int64

    Number of schemas returned per page.

    schemas

    [string]

    List response JSON Schemas.

    startIndex

    int64

    Starting index of the schemas for this page (1-indexed).

    totalResults

    int64

    Total number of schemas.

    {
      "Resources": [
        {
          "description": "User Schema",
          "id": "urn:ietf:params:scim:schemas:core:2.0:User",
          "meta": {
            "location": "https://app.datadoghq.com/api/v2/scim/Schemas/urn:ietf:params:scim:schemas:core:2.0:User",
            "resourceType": "Schema"
          },
          "name": "User"
        },
        {
          "description": "Group Schema",
          "id": "urn:ietf:params:scim:schemas:core:2.0:Group",
          "meta": {
            "location": "https://app.datadoghq.com/api/v2/scim/Schemas/urn:ietf:params:scim:schemas:core:2.0:Group",
            "resourceType": "Schema"
          },
          "name": "Group"
        }
      ],
      "itemsPerPage": 2,
      "schemas": [
        "urn:ietf:params:scim:api:messages:2.0:ListResponse"
      ],
      "startIndex": 1,
      "totalResults": 2
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Schemas" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"

    GET https://api.ap1.datadoghq.com/api/v2/scim/Schemas/{schema_id}https://api.ap2.datadoghq.com/api/v2/scim/Schemas/{schema_id}https://api.datadoghq.eu/api/v2/scim/Schemas/{schema_id}https://api.ddog-gov.com/api/v2/scim/Schemas/{schema_id}https://api.us2.ddog-gov.com/api/v2/scim/Schemas/{schema_id}https://api.datadoghq.com/api/v2/scim/Schemas/{schema_id}https://api.us3.datadoghq.com/api/v2/scim/Schemas/{schema_id}https://api.us5.datadoghq.com/api/v2/scim/Schemas/{schema_id}

    Overview

    Get a single SCIM schema using the schema_id. Supported schema_id values are urn:ietf:params:scim:schemas:core:2.0:User and urn:ietf:params:scim:schemas:core:2.0:Group. This endpoint requires all of the following permissions:

  • user_access_invite
  • user_access_manage

  • Arguments

    Path Parameters

    Name

    Type

    Description

    schema_id [required]

    string

    The id of the schema to retrieve.

    Response

    OK

    Definition of a SCIM schema.

    Expand All

    Field

    Type

    Description

    attributes

    [object]

    A list of attributes that make up the schema.

    canonicalValues

    [string]

    A collection of canonical values.

    caseExact

    boolean

    A Boolean value that specifies whether or not a string attribute is case sensitive.

    description

    string

    The attribute's human-readable description.

    multiValued

    boolean

    A Boolean value indicating an attribute's plurality.

    mutability

    string

    A single keyword indicating the circumstances under which the value of the attribute can be (re)defined.

    name

    string

    The attribute's name.

    referenceTypes

    [string]

    A list of resource types or external resources the reference may refer to.

    required

    boolean

    A Boolean value that specifies whether or not the attribute is required.

    returned

    string

    A single keyword that indicates when an attribute and associated values are returned in response to a GET request or in response to a PUT, POST, or PATCH request.

    subAttributes

    [object]

    A list of sub-attributes for complex attributes.

    canonicalValues

    [string]

    A collection of canonical values.

    caseExact

    boolean

    A Boolean value that specifies whether or not a string attribute is case sensitive.

    description

    string

    The attribute's human-readable description.

    multiValued

    boolean

    A Boolean value indicating an attribute's plurality.

    mutability

    string

    A single keyword indicating the circumstances under which the value of the attribute can be (re)defined.

    name

    string

    The sub-attribute's name.

    referenceTypes

    [string]

    A list of resource types or external resources the reference may refer to.

    required

    boolean

    A Boolean value that specifies whether or not the attribute is required.

    returned

    string

    A single keyword that indicates when an attribute and associated values are returned in response to a GET request or in response to a PUT, POST, or PATCH request.

    type

    string

    The data type of the attribute.

    uniqueness

    string

    A single keyword value that specifies how the service provider enforces uniqueness of attribute values.

    type

    string

    The data type of the attribute.

    uniqueness

    string

    A single keyword value that specifies how the service provider enforces uniqueness of attribute values.

    description

    string

    Human-readable description of the schema.

    id

    string

    The unique URI of the schema.

    meta

    object

    Metadata associated with a SCIM schema.

    location

    string

    URL identifying the schema.

    resourceType

    string

    Type of resource.

    name

    string

    The human-readable name of the schema.

    {
      "attributes": [
        {
          "canonicalValues": [],
          "caseExact": false,
          "description": "string",
          "multiValued": false,
          "mutability": "string",
          "name": "string",
          "referenceTypes": [],
          "required": false,
          "returned": "string",
          "subAttributes": [
            {
              "canonicalValues": [],
              "caseExact": false,
              "description": "string",
              "multiValued": false,
              "mutability": "string",
              "name": "string",
              "referenceTypes": [],
              "required": false,
              "returned": "string",
              "type": "string",
              "uniqueness": "string"
            }
          ],
          "type": "string",
          "uniqueness": "string"
        }
      ],
      "description": "User Schema",
      "id": "urn:ietf:params:scim:schemas:core:2.0:User",
      "meta": {
        "location": "https://app.datadoghq.com/api/v2/scim/Schemas/urn:ietf:params:scim:schemas:core:2.0:User",
        "resourceType": "Schema"
      },
      "name": "User"
    }

    Not Found

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Too many requests

    API error response.

    Expand All

    Field

    Type

    Description

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Code Example

                      # Path parameters
    export schema_id="CHANGE_ME"
    # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/scim/Schemas/${schema_id}" \ -H "Accept: application/json" \ -H "Authorization: Bearer ${DD_BEARER_TOKEN}"